GDB (xrefs)

Public Attributes | List of all members
xmethod_worker Struct Reference

`#include "extension.h"`

## Public Attributes
const struct extension_language_defn * | extlang
void * | data
struct value * | value

## Detailed Description

Definition at line 151 of file extension.h.

## Member Data Documentation

## ◆ data

void* xmethod_worker::data

Definition at line 157 of file extension.h.

Referenced by clone_xmethod_worker(), free_xmethod_worker(), and new_xmethod_worker().

## ◆ extlang

const struct extension_language_defn* xmethod_worker::extlang

Definition at line 154 of file extension.h.

Referenced by clone_xmethod_worker(), free_xmethod_worker(), get_xmethod_arg_types(), get_xmethod_result_type(), invoke_xmethod(), and new_xmethod_worker().

## ◆ value

struct value* xmethod_worker::value

Definition at line 161 of file extension.h.

Referenced by gdb-gdb.TypeFlag::__cmp__(), new_xmethod_worker(), and value_of_xmethod().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/extension.h